Subject: Re: [PATCH v3 2/2] submodule: don't print status output with ignore=all

From: Matthieu Moy <[email-masked]>
Date: Thu, 05 Sep 2013 10:05:41 +0200

Matthieu Moy <[email-masked]> writes:

> Jens Lehmann <[email-masked]> writes:
>
>> Fine by me, what would you propose to clarify that? (Though I have the
>> suspicion that the explanation will be three years late ;-)
>
> I have no idea, as I do not understand the reason myself yet. I'm not a
> frequent user of submodules and not a user of the ignore option at all,
> so I can't tell what's best. I'd just like the new behavior to be
> justified somewhere.

I also think that the documentation in Documentation/config.txt could be
updated. Perhaps adding something like

	To view the summary for submodules ignored by 'git status', one
	can use 'git submodules summary' which shows a similar output
	but does not honor this option.

-- 
Matthieu Moy
http://www-verimag.imag.fr/~moy/